classification
Title: clang fails to build ctypes on Android armv7
Type: compile error Stage: resolved
Components: Cross-Build Versions: Python 3.6
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: Alex.Willmer, Chi Hsuan Yen, thomas-petazzoni, xdegaye
Priority: normal Keywords:

Created on 2016-07-26 16:00 by xdegaye, last changed 2016-10-16 09:58 by xdegaye. This issue is now closed.

Messages (3)
msg271385 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-26 16:00
The build is done with:
clang --sysroot=/opt/android-ndk/platforms/android-21/arch-arm -target armv7-none-linux-androideabi -gcc-toolchain /opt/android-ndk/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64


The error message:
clang --sysroot=/opt/android-ndk/platforms/android-21/arch-arm -target armv7-none-linux-androideabi -gcc-toolchain /opt/android-ndk/toolchains/arm-linux-androideabi-4.9/prebuilt/linux-x86_64 -march=armv7-a -mfloat-abi=softfp -mfpu=vfpv3-d16 -Wno-unused-result -Wsign-compare -Wunreachable-code -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -Wno-unused-value -Wno-empty-body -Qunused-arguments -Wno-parentheses-equality -Werror=declaration-after-statement -Ibuild/temp.linux-arm-3.6/libffi/include -Ibuild/temp.linux-arm-3.6/libffi -I./Modules/_ctypes/libffi/src -IInclude -I/sdcard/org.bitbucket.pyona/include -I. -I/home/xavier/src/android/pyona/build/python3.6-install-android-21-armv7/org.bitbucket.pyona/include -I/opt/android-ndk/platforms/android-21/arch-arm/usr/include -I./Include -I/home/xavier/src/android/pyona/build/python3.6-android-21-armv7 -c ./Modules/_ctypes/libffi/src/arm/sysv.S -o build/temp.linux-arm-3.6./Modules/_ctypes/libffi/src/arm/sysv.o -Wall -fexceptions

./Modules/_ctypes/libffi/src/arm/sysv.S:399:2: error: invalid instruction
 stmeqia r2, {r0, r1}
 ^
msg271387 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-07-26 16:01
See also msg 269907 and msg269908.
msg278762 - (view) Author: Xavier de Gaye (xdegaye) * (Python committer) Date: 2016-10-16 09:58
As this problem occurs with the bundled libffi, closing this issue as won't fix for the same reasons as those listed in msg278759.
History
Date User Action Args
2016-10-16 09:58:32xdegayesetstatus: open -> closed
resolution: wont fix
messages: + msg278762

stage: needs patch -> resolved
2016-07-29 10:31:09xdegayesetnosy: + thomas-petazzoni
2016-07-26 16:05:17xdegayelinkissue26865 dependencies
2016-07-26 16:01:22xdegayesetmessages: + msg271387
2016-07-26 16:00:04xdegayecreate